Name: flex
Version: 2.6.3
Release: 2
License: BSD-3-Clause
Summary: The Fast Lexical Analyser
Url: https://github.com/westes/flex

Source0: https://github.com/westes/flex/releases/download/v%{version}/flex-%{version}.tar.gz

BuildRequires: bison
BuildRequires: help2man

%description
flex is a tool for generating scanners: programs which recognize lexical patterns in text.

%package devel
Summary: flex development libraries and headers
Provides: libfl = %{version}

%description devel
flex development libraries and headers


%prep
%setup -q

%build

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --enable-static \
  --disable-shared \
  --disable-rpath \
  # end

%make_build


%install

%make_install
find %{buildroot}/%{_libdir} -name \*.la | xargs rm || :

%files
%defattr(-, qsys, *none)

%{_bindir}/flex++
%{_bindir}/flex

%{_mandir}/man1/flex.1

%{_docdir}/flex/AUTHORS
%{_docdir}/flex/COPYING
%{_docdir}/flex/NEWS
%{_docdir}/flex/ONEWS
%{_docdir}/flex/README.md

%{_infodir}/flex.info
%{_infodir}/flex.info-2
%{_infodir}/flex.info-1

%files devel
%defattr(-, qsys, *none)

%{_includedir}/FlexLexer.h
%{_libdir}/libfl.a

%changelog
* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 2.6.3
- Use SPDX license identifier

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Thu Aug 24 2017 - Kevin Adler <kadler@us.ibm.com>
- Add missing defattr
